[git] GnuPG - branch, STABLE-BRANCH-2-2, updated. gnupg-2.2.10-29-g593895a

by Werner Koch cvs at cvs.gnupg.org
Mon Nov 5 13:19:45 CET 2018


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "The GNU Privacy Guard".

The branch, STABLE-BRANCH-2-2 has been updated
       via  593895a5e495c4647efa7db164356f3cae3d5759 (commit)
       via  62686b56da19b3a7184dc342cede5c9d20d150d7 (commit)
      from  50756927ce6247abc2fadefbc76c58b75c8a7586 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 593895a5e495c4647efa7db164356f3cae3d5759
Author: Werner Koch <wk at gnupg.org>
Date:   Mon Nov 5 12:47:44 2018 +0100

    speedo: Remove obsolete configure option of gpgme.
    
    * build-aux/speedo.mk (speedo_pkg_gpgme_configure): Remove
    --disable-w32-qt option.
    --
    
    This option is obsolete since GPGME 1.7 (in 2016)
    
    Signed-off-by: Werner Koch <wk at gnupg.org>
    (cherry picked from commit d7323bb2d957fbeb8192c0ecbd99b1d14d302912)

diff --git a/build-aux/speedo.mk b/build-aux/speedo.mk
index bfbce05..9c4189a 100644
--- a/build-aux/speedo.mk
+++ b/build-aux/speedo.mk
@@ -521,12 +521,12 @@ endif
 # The LDFLAGS is needed for -lintl for glib.
 ifeq ($(WITH_GUI),1)
 speedo_pkg_gpgme_configure = \
-	--enable-static --enable-w32-glib --disable-w32-qt \
+	--enable-static --enable-w32-glib  \
 	--with-gpg-error-prefix=$(idir) \
 	LDFLAGS=-L$(idir)/lib
 else
 speedo_pkg_gpgme_configure = \
-	--disable-static --disable-w32-glib --disable-w32-qt \
+	--disable-static --disable-w32-glib \
 	--with-gpg-error-prefix=$(idir) \
 	LDFLAGS=-L$(idir)/lib
 endif

commit 62686b56da19b3a7184dc342cede5c9d20d150d7
Author: Werner Koch <wk at gnupg.org>
Date:   Mon Nov 5 08:59:13 2018 +0100

    speedo: Include Windows patch for gpgme 1.12.0
    
    --
    
    We don't want to do a release of gpgme right now, so we include just
    this minimal but important fix.

diff --git a/Makefile.am b/Makefile.am
index 680fe1b..2c7a462 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -58,6 +58,7 @@ EXTRA_DIST = build-aux/config.rpath build-aux/potomo autogen.sh autogen.rc \
              build-aux/speedo/patches/atk-1.32.0.patch	    \
              build-aux/speedo/patches/libiconv-1.14.patch   \
              build-aux/speedo/patches/pango-1.29.4.patch    \
+             build-aux/speedo/patches/gpgme-1.12.0.patch    \
              build-aux/speedo/patches/sqlite.patch
 
 
diff --git a/build-aux/speedo/patches/gpgme-1.12.0.patch b/build-aux/speedo/patches/gpgme-1.12.0.patch
new file mode 100755
index 0000000..1920dcf
--- /dev/null
+++ b/build-aux/speedo/patches/gpgme-1.12.0.patch
@@ -0,0 +1,36 @@
+#! /bin/sh
+patch -p1 -l -f $* < $0
+exit $?
+
+  From 4faa0ccf58c7a0f64f51dcbc8466add660080414 Mon Sep 17 00:00:00 2001
+  From: Werner Koch <wk at gnupg.org>
+  Date: Fri, 2 Nov 2018 11:26:19 +0100
+  Subject: [PATCH] w32: Don't use CloseHandle on an arbitrary integer.
+
+  * src/assuan-support.c (my_waitpid): Do not close the PID = it is not
+  a handle.
+  --
+
+  At some time in the distant past we might have used the process object
+  as pid which obviously required a close.  However this was changed and
+  so what we did here was to close an arbitrary handle (one which
+  matches the pid).
+
+  GnuPG-bug-id: 4237
+  Signed-off-by: Werner Koch <wk at gnupg.org>
+
+diff --git a/src/assuan-support.c b/src/assuan-support.c
+index 7fbd48a8..705088e4 100644
+--- a/src/assuan-support.c
++++ b/src/assuan-support.c
+@@ -219,7 +219,7 @@ my_waitpid (assuan_context_t ctx, pid_t pid,
+   (void)nowait;
+   (void)status;
+   (void)options;
+-  CloseHandle ((HANDLE) pid);
++  (void)pid;  /* Just a number without a kernel object.  */
+ #else
+   /* We can't just release the PID, a waitpid is mandatory.  But
+      NOWAIT in POSIX systems just means the caller already did the
+--
+2.11.0

-----------------------------------------------------------------------

Summary of changes:
 Makefile.am                                 |  1 +
 build-aux/speedo.mk                         |  4 ++--
 build-aux/speedo/patches/gpgme-1.12.0.patch | 36 +++++++++++++++++++++++++++++
 3 files changed, 39 insertions(+), 2 deletions(-)
 create mode 100755 build-aux/speedo/patches/gpgme-1.12.0.patch


hooks/post-receive
-- 
The GNU Privacy Guard
http://git.gnupg.org




More information about the Gnupg-commits mailing list